Bug 220694 - multimedia/x264: Update to 0.148.2795
Summary: multimedia/x264: Update to 0.148.2795
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://reviews.freebsd.org/D11566
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-12 23:48 UTC by Kubilay Kocak
Modified: 2017-07-17 16:08 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer 2017-07-12 23:48:34 UTC

    
Comment 1 Kubilay Kocak freebsd_committer 2017-07-12 23:49:23 UTC
Swap dependency type, nasm update is required before this
Comment 2 Jan Beich freebsd_committer 2017-07-13 00:01:22 UTC
AVX-512 support haven't been merged to stable branch yet (as of aaa9aa83).
Comment 3 Kubilay Kocak freebsd_committer 2017-07-13 00:03:00 UTC
Removing the dependency is sufficient, this issue tracks the update, whether requiring nasm update or not
Comment 4 commit-hook freebsd_committer 2017-07-14 23:41:48 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jul 14 23:41:36 UTC 2017
New revision: 445836
URL: https://svnweb.freebsd.org/changeset/ports/445836

Log:
  multimedia/{lib,}x264: update to 0.148.2795

  Changes:	https://git.videolan.org/?p=x264.git;a=shortlog;h=aaa9aa83a111ed6f1db253d5afa91c5fc844583f
  ABI:		https://abi-laboratory.pro/tracker/timeline/x264/
  PR:		220694
  Approved by:	koobs (maintainer)
  MFH:		2017Q3 (bug fixes, minor SIMD optimizations)
  Differential Revision:	https://reviews.freebsd.org/D11566

Changes:
  head/multimedia/x264/Makefile
  head/multimedia/x264/distinfo
  head/multimedia/x264/files/patch-armv6
  head/multimedia/x264/files/patch-configure
Comment 5 commit-hook freebsd_committer 2017-07-14 23:42:51 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jul 14 23:41:54 UTC 2017
New revision: 445837
URL: https://svnweb.freebsd.org/changeset/ports/445837

Log:
  multimedia/x264: yasm is only used by libx264, so move ASM option there

  PR:		220694
  Approved by:	koobs (maintainer)
  MFH:		2017Q3 (minor build optimization)
  Differential Revision:	https://reviews.freebsd.org/D11566

Changes:
  head/multimedia/libx264/Makefile
  head/multimedia/x264/Makefile
  head/multimedia/x264/files/patch-configure
Comment 6 commit-hook freebsd_committer 2017-07-14 23:42:52 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jul 14 23:42:04 UTC 2017
New revision: 445838
URL: https://svnweb.freebsd.org/changeset/ports/445838

Log:
  multimedia/libx264: yasm is only used on x86, other archs use GNU as

  PR:		220694
  Approved by:	koobs (maintainer)
  MFH:		2017Q3 (minor build optimization)
  Differential Revision:	https://reviews.freebsd.org/D11566

Changes:
  head/multimedia/libx264/Makefile
Comment 7 commit-hook freebsd_committer 2017-07-14 23:42:54 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jul 14 23:42:14 UTC 2017
New revision: 445839
URL: https://svnweb.freebsd.org/changeset/ports/445839

Log:
  multimedia/x264: enable FFMS, LAVF, SWSCALE by default

  Without FFmpeg-based demuxers x264 CLI can only read raw formats as
  source. So, enable more options to allow the binary package not only
  write but also read mp4/mkv.

  PR:		220694
  Approved by:	koobs (maintainer)
  MFH:		2017Q3 (usability improvement)
  Differential Revision:	https://reviews.freebsd.org/D11566

Changes:
  head/multimedia/libx264/Makefile
  head/multimedia/x264/Makefile
Comment 8 commit-hook freebsd_committer 2017-07-14 23:59:08 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jul 14 23:58:25 UTC 2017
New revision: 445840
URL: https://svnweb.freebsd.org/changeset/ports/445840

Log:
  multimedia/x264: r445837 forgot to move option helpers

  PR:		220694
  Approved by:	portmgr blanket
  MFH:		2017Q3
  Differential Revision:	https://reviews.freebsd.org/D11566

Changes:
  head/multimedia/libx264/Makefile
  head/multimedia/x264/Makefile
Comment 9 Kubilay Kocak freebsd_committer 2017-07-15 03:02:49 UTC
Assign committer that resolved.

Thanks Jan!
Comment 10 commit-hook freebsd_committer 2017-07-17 16:08:52 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul 17 16:08:16 UTC 2017
New revision: 446081
URL: https://svnweb.freebsd.org/changeset/ports/446081

Log:
  MFH: r445836 r445837 r445838 r445839 r445840

  multimedia/{lib,}x264: update to 0.148.2795

  - yasm is only used by libx264, so move ASM option there
  - yasm is only used on x86, other archs use GNU as
  - enable FFMS, LAVF, SWSCALE by default to make package more useful

  Changes:	https://git.videolan.org/?p=x264.git;a=shortlog;h=aaa9aa83a111ed6f1db253d5afa91c5fc844583f
  ABI:		https://abi-laboratory.pro/tracker/timeline/x264/
  PR:		220694
  Approved by:	koobs (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D11566
  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/multimedia/libx264/Makefile
  branches/2017Q3/multimedia/x264/Makefile
  branches/2017Q3/multimedia/x264/distinfo
  branches/2017Q3/multimedia/x264/files/patch-armv6
  branches/2017Q3/multimedia/x264/files/patch-configure